local common = require "interactionmanip.common"
local webcontact = {}

function webcontact.module_type ()
	return "webcontact"
end

function webcontact.updateInteraction (interaction)
	webcontact.isTransferred(interaction)
	webcontact.getLastStep(interaction)
	return interaction
end

function webcontact.getSearchableContent (interaction)
	return ""
end

-----------------------------------------------------------------
webcontact.isTransferred                        = common.isTransferred
webcontact.isTaken                              = common.isTaken
webcontact.isWrappedUp                          = common.isWrappedUp
webcontact.isFinished                           = common.isFinished
webcontact.getConversationOwner                 = common.getConversationOwner
webcontact.getFirstAssignedAgent                = common.getFirstAssignedAgent
webcontact.getLastAgentEndsConversation         = common.getLastAgentEndsConversation
webcontact.getLastEventTimestamp                = common.getLastEventTimestamp
webcontact.getLastStep                          = common.getLastStep
webcontact.getEventsCountWithoutAutoResponse    = common.getEventsCountWithoutAutoResponse
webcontact.getAllEventsCount                    = common.getAllEventsCount
webcontact.getSocialNetworkPostId               = common.getSocialNetworkPostId
webcontact.getBatchId                           = common.getBatchId
webcontact.getFirstTransferringInfo             = common.getFirstTransferringInfo
webcontact.loadFirstPendingStep                 = common.loadFirstPendingStep
webcontact.loadStatusInteraction                = common.loadStatusInteraction
webcontact.loadFirstTakenStep                   = common.loadFirstTakenStep
webcontact.loadStartAttention                   = common.loadStartAttention
webcontact.loadTicket                           = common.loadTicket
webcontact.loadFirstAgentResponse               = common.loadFirstAgentResponse
webcontact.loadLastAgentResponse                = common.loadLastAgentResponse
webcontact.getConversationTotals                = common.getConversationTotals
webcontact.calculateConversationTimeSec         = webcontact.calculateConversationTimeSec or common.calculateConversationTimeSec
webcontact.calculateConversationTotalCharacters = webcontact.calculateConversationTotalCharacters or common.calculateConversationTotalCharacters

return webcontact